Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Parallel/vtkMultiProcessController.h File Reference

`#include "vtkObject.h"`
`#include "vtkCommunicator.h"`

Include dependency graph for vtkMultiProcessController.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

class | vtkMultiProcessController
| Multiprocessing communication superclass. More...

## Typedefs

typedef void(* | vtkProcessFunctionType )(vtkMultiProcessController *controller, void *userData)
typedef void(* | vtkRMIFunctionType )(void *localArg, void *remoteArg, int remoteArgLength, int remoteProcessId)

## Typedef Documentation

typedef void(* vtkProcessFunctionType)(vtkMultiProcessController *controller, void *userData)

| Definition at line 76 of file vtkMultiProcessController.h.

typedef void(* vtkRMIFunctionType)(void *localArg, void *remoteArg, int remoteArgLength, int remoteProcessId)

| Definition at line 80 of file vtkMultiProcessController.h. Referenced by vtkMultiProcessController::RemoveRMI().